﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.85
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public rp As RuntimePermissions
	Public GNSS1 As GNSS
	Private gpsStarted As Boolean
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	GNSS1.Initialize("GNSS")
	Log("Initialize GNSS")
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
	StopGNSS
End Sub
Public Sub StartGNSS
	Log("Start GNSS")
	If gpsStarted = False Then
		GNSS1.Start(0, 0)
		gpsStarted = True
	End If
End Sub

Public Sub StopGNSS
	Log("StopGNSS")
	If gpsStarted Then
		GNSS1.Stop
		gpsStarted = False
	End If
End Sub

Sub GNSS_LocationChanged (Location1 As Location)
	Log("LocationChanged:" & Location1.Latitude & ";" & Location1.Longitude)
	'Root.LocationChanged(Location1)
End Sub